apiVersion: opensearch.org/v1
kind: OpenSearchCluster
metadata:
  name: shared-os
  namespace: opensearch
spec:
  general:
    version: "3.7.0"
    serviceName: shared-os
    setVMMaxMapCount: true
    additionalConfig:
      plugins.security.disabled: true
  nodePools:
    - component: nodes
      replicas: 3
      roles:
        - master
        - data
        - ingest
        - remote_cluster_client
      jvm: "-Xmx512M -Xms512M"
      diskSize: 8Gi
      persistence:
        pvc:
          storageClass: yc-network-hdd
          accessModes:
            - ReadWriteOnce
      resources:
        requests:
          cpu: 100m
          memory: 768Mi
        limits:
          cpu: 500m
          memory: 1Gi
